#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	fribidi
Version		:	1.0.13
Release		:	17.0.10.rel%{?dist}
Summary		:	Library implementing the Unicode Bidirectional Algorithm
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+ and UCD
URL		:	https://github.com/fribidi/fribidi

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
%description
The FriBidi package is an implementation of the Unicode Bidirectional
Algorithm (BIDI). This is useful for supporting Arabic and Hebrew
alphabets in other packages. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README THANKS
%{_includedir}/%{name}/%{name}.h
%{_includedir}/%{name}/%{name}-*.h
%{_bindir}/%{name}
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

#./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\
	--disable-docs					\


%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
